Skip to content

List custom field options

Request

Returns a paginated list of all options for the given custom field, including disabled ones.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
custom_field_idstring, (uuid)required

The ID of the custom field.

Example:3fa85f64-5717-4562-b3fc-2c963f66afa6
Query
offsetinteger

Offset to retrieve items from.

Default:0
Example:offset=50
limitinteger, <= 500

Number of items per page.

Default:50
Example:limit=50
GET
/v1/businesses/{client_id}/custom-fields/{custom_field_id}/options
curl -i -X GET \
  'https://public.letsweel.com/v1/businesses/123/custom-fields/3fa85f64-5717-4562-b3fc-2c963f66afa6/options?offset=50&limit=50' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countinteger

Total number of options for this custom field (including disabled).

Example:5
nextstring or null

Pagination cursor for the next page.

Example:"limit=50&offset=50"
previousstring or null

Pagination cursor for the previous page.

Example:null
resultsArray of objects(CustomFieldOption)
Response
{ "count": 5, "next": "limit=50&offset=50", "previous": null, "results": [ {} ] }